Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor.ORBInitInfoPackage
Class DuplicateName

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.PortableInterceptor.ORBInitInfoPackage.DuplicateName

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class DuplicateName
extends UserException

Exception definition : DuplicateName

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `name` Exception member name

Constructor Summary
`DuplicateName()` Default constructor
`DuplicateName(java.lang.String name)` Constructor with fields initialization
`DuplicateName(java.lang.String orb_reason, java.lang.String name)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Exception member name

Constructor Detail

### DuplicateName

    public DuplicateName()

  Default constructor

### DuplicateName

    public DuplicateName(java.lang.String name)

  Constructor with fields initialization
  Parameters:
    `name` - name exception member

### DuplicateName

    public DuplicateName(java.lang.String orb_reason,
                         java.lang.String name)

  Full constructor with fields initialization
  Parameters:
    `name` - name exception member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD